
#include "MacroPatternMatch.h"

#include "HROOTHistTH2.h"

#include "HROOTCoreTArrayI.h"

#include "TH2I.h"

#include "HROOTHistTH2I.h"

using namespace ROOT;

#define CHECKPROTECT(x,y) FXIS_PAREN(IS_ ## x ## _ ## y ## _PROTECTED)

#define TYPECASTMETHOD(cname,mname,oname) \
  FXIIF( CHECKPROTECT(cname,mname) ) ( \
  (from_nonconst_to_nonconst<oname,cname ## _t>), \
  (from_nonconst_to_nonconst<cname,cname ## _t>) )


#define IS_TH2I_fill1_PROTECTED ()
TH2_DEF_VIRT(TH2I)
TARRAYI_DEF_VIRT(TH2I)
TH1_DEF_VIRT(TH2I)
TNAMED_DEF_VIRT(TH2I)
TATTLINE_DEF_VIRT(TH2I)
TATTFILL_DEF_VIRT(TH2I)
TATTMARKER_DEF_VIRT(TH2I)
TOBJECT_DEF_VIRT(TH2I)
DELETABLE_DEF_VIRT(TH2I)
TARRAY_DEF_VIRT(TH2I)
TH2I_DEF_VIRT(TH2I)
TH2I_DEF_NONVIRT(TH2I)
TH2I_DEF_ACCESSOR(TH2I)

